﻿import {useBaseApi} from '/@/api/base';

// 政府采购投诉数据处理接口服务
export const useProcurementComplaintApi = () => {
	const baseApi = useBaseApi("procurementComplaint");
	return {
		// 分页查询政府采购投诉数据处理
		page: baseApi.page,
		// 查看政府采购投诉数据处理详细
		detail: baseApi.detail,
		// 新增政府采购投诉数据处理
		add: baseApi.add,
		// 更新政府采购投诉数据处理
		update: baseApi.update,
		// 删除政府采购投诉数据处理
		delete: baseApi.delete,
		// 批量删除政府采购投诉数据处理
		batchDelete: baseApi.batchDelete,
		// 导出政府采购投诉数据处理数据
		exportData: baseApi.exportData,
		// 导入政府采购投诉数据处理数据
		importData: baseApi.importData,
		// 下载政府采购投诉数据处理数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 政府采购投诉数据处理实体
export interface ProcurementComplaint {
	// 主键Id
	id: string;
	// 项目编号
	projectCode?: string;
	// 项目名称
	projectName?: string;
	// 决定日期
	decisionDate?: string;
	// 采购人
	purchaser?: string;
	// 采购代理机构
	procurementAgency?: string;
	// 投诉人
	complainant: string;
	// 采购监督部门
	procurementSupervisionDepartment: string;
	// 线上地址
	url: string;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
}